## tuptime 3.2.01+git6db666b

=== freebsd-port/Makefile ===
# Created by: Jeremy Johnston <jeremy@smart-serv.net>
# $FreeBSD$

PORTNAME=	tuptime
DISTVERSIONPREFIX=	v
DISTVERSION=	3.2.01
CATEGORIES=	sysutils

MAINTAINER=	jeremy@smart-serv.net
COMMENT=	Historical and statistical system running time report tool

LICENSE=	GPLv2

RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}sqlite3>=2.7:${PORTSDIR}/databases/py-sqlite3

USES=		python:run shebangfix

USE_GITHUB=	yes
GH_ACCOUNT=	rfrail3

NO_BUILD=	yes
USE_RC_SUBR=	${PORTNAME}

SHEBANG_FILES=	${WRKSRC}/latest/tuptime ${WRKSRC}/scripts/*
SUB_FILES=	pkg-message

PLIST_FILES=	bin/tuptime \
		${EXAMPLESDIR}/db-tuptime-migrate.sh \
		${EXAMPLESDIR}/db-tuptime-migrate-3.0-to-3.1.sh

do-install:
	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
	${INSTALL_SCRIPT} ${WRKSRC}/latest/tuptime ${STAGEDIR}${PREFIX}/bin/tuptime
	${INSTALL_SCRIPT} ${WRKSRC}/scripts/db-tuptime-migrate.sh ${STAGEDIR}${EXAMPLESDIR}/db-tuptime-migrate.sh
	${INSTALL_SCRIPT} ${WRKSRC}/scripts/db-tuptime-migrate-3.0-to-3.1.sh ${STAGEDIR}${EXAMPLESDIR}/db-tuptime-migrate-3.0-to-3.1.sh

.include <bsd.port.mk>

=== debian/changelog ===
tuptime (3.2.01+git6db666b-2) unstable; urgency=medium

  * ship tuptime in /usr/bin, upstream will make it usable by non-root
    (Closes: #806380)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 27 Nov 2015 09:59:43 -0500

tuptime (3.2.01+git6db666b-1) unstable; urgency=low

  * Redo packaging based on upstream binary package. Closes: #638422

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 25 Nov 2015 11:53:00 -0500

=== debian/control ===
Source: tuptime
Section: utils
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>=9)
             , dh-systemd (>= 1.5)
Standards-Version: 3.9.6
Homepage: https://github.com/rfrail3/tuptime

Package: tuptime
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
  , python (>= 2.7)
Description: report historical system running time.
 Tuptime report historical and statistical running time of the system, 
 keeping it between restarts.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with=systemd

## tuptime 3.3.0

=== debian/changelog ===
tuptime (3.3.0-2) unstable; urgency=medium

  * Remove creation of /var/lib/tuptime from debian/dirs and fall only in
    postinstall adduser command. (Closes: #821725)

 -- Ricardo Fraile <rfraile@rfraile.eu>  Tue, 19 Apr 2016 17:09:27 -0200

tuptime (3.3.0-1) unstable; urgency=medium

  [Antoine Beaupré]
  * Complete switch to non-native package
  * Fix build with git-buildpackage

 -- Ricardo Fraile <rfraile@rfraile.eu>  Tue, 12 Apr 2016 08:59:27 -0400

tuptime (3.3.0) unstable; urgency=low

  * Release new version.

 -- Ricardo Fraile <rfraile@rfraile.eu>  Mon, 11 Apr 2016 09:59:43 -0500

tuptime (3.2.3) unstable; urgency=low

  * Refactoring code
  * Change execution user from root to tuptime
  * Equivalence between start/stop runlevels in systemd and init.

 -- Ricardo Fraile <rfraile@rfraile.eu>  Sat, 12 Dec 2015 22:40:00 +0100

tuptime (3.2.2) unstable; urgency=low

  * Adding compatibility with OS X (Darwin)

 -- Ricardo F. <rfraile@rfraile.eu>  Sat, 28 Nov 2015 09:40:00 +0100

tuptime (3.2.01) stable; urgency=low

  * Detect database modification

 -- Ricardo F. <rfraile@rfraile.eu>  Mon, 12 Oct 2015 11:00:00 -0400

tuptime (3.2.00) stable; urgency=low

  * Print singular names if is the case
  * Fix round and decimals values
  * Clean and order code

 -- Ricardo F. <rfraile@rfraile.eu>  Mon, 05 Oct 2015 11:00:00 -0400

tuptime (3.1.00) stable; urgency=low

  * Register used kernels
  * Adding kernel option

 -- Ricardo F. <rfraile@rfraile.eu>  Mon, 28 Sep 2015 11:00:00 -0400

tuptime (3.0.00) stable; urgency=low

  * Change printed output format
  * Adding max/min uptime/downtime reports
  * Adding table format output
  * Rename enumerate option to list and change output format
  * Adding sorting options
  * Change database schema
  * Clean and order code

 -- Ricardo F. <rfraile@rfraile.eu>  Fri, 25 Sep 2015 11:00:00 -0400

tuptime (2.6.10) stable; urgency=low

  * Compatibility between python2.7 and python3.X
  * Removing unused modules

 -- Ricardo F. <rfraile@rfraile.eu>  Mon, 10 Aug 2015 11:00:00 -0400

tuptime (2.5.20) stable; urgency=low

  * Setting data type for ok/bad shutdown in db creation

 -- Ricardo F. <rfraile@rfraile.eu>  Sat, 08 Aug 2015 11:00:00 -0400

tuptime (2.5.12) stable; urgency=low

  * Setting max decimals in the output
  * Fix data type for the ok/bad shutdown registry in db wich cause incorrect
    counter output

 -- Ricardo F. <rfraile@rfraile.eu>  Fri, 07 Aug 2015 11:00:00 -0400

tuptime (2.5.00) stable; urgency=low

  * Fix false shutdown count and correct locale date format

 -- Ricardo F. <rfraile@rfraile.eu>  Tue, 04 Aug 2015 11:00:00 -0400

tuptime (2.4.26) stable; urgency=low

  * Fix from other point of view false shutdown bug

 -- Ricardo F. <rfraile@rfraile.eu>  Tue, 04 Aug 2015 10:00:00 -0400

tuptime (2.4.10) stable; urgency=low

  * Fix false wrong shutdown bug when some kernels rarely report +1 or -1 
    second inside /proc/stat btime variable

 -- Ricardo F. <rfraile@rfraile.eu>  Sun, 26 Jul 2015 10:00:00 -0400

tuptime (2.4.00) stable; urgency=low

  * Adding downtimes reports
  * Adding enumerate option
  * Fix bad shutdowns count

 -- Ricardo F. <rfraile@rfraile.eu>  Mon, 20 Jul 2015 10:00:00 -0400

tuptime (2.2.00) stable; urgency=low

  * Completely rewritten in python

 -- Ricardo F. <rfraile@rfraile.eu>  Wed, 06 May 2015 10:00:00 -0400

tuptime (1.6.2) stable; urgency=low

  * New init script for debian 7 wheezy

 -- Ricardo F. <rfraile@rfraile.eu>  Thu, 14 May 2013 10:00:00 -0400

tuptime (1.6.0) stable; urgency=low

  * Remove usage of syslog for more quick output.
  * Change output.
  * Print rate in output.

 -- Ricardo F. <rfraile@rfraile.eu>  Thu, 17 Jan 2012 10:00:00 -0400

tuptime (1.5.0) stable; urgency=low

  * Print estimated uptime between starts.
  * Print actual uptime for the system.
  * Fix and improve code, remove repetitive lines and minnor bugs.
  * Check if the variable in the conf file is a number.
  * Start using Scalar::Util module.
  * Print system uptime date.
  * Fix bug in first update

 -- Ricardo F. <rfraile@rfraile.eu>  Mon, 10 Oct 2011 10:00:00 -0400

tuptime (1.4.0) stable; urgency=low

  * Print time more accurate.
  * Cron line change to 5 minutes.
  * Print time values in live time without update.

 -- Ricardo F. <rfraile@rfraile.eu>  Sat, 06 Aug 2011 10:00:00 -0400

tuptime (1.3.0) stable; urgency=low

  * Jump blank lines in conf file.
  * Adding #REPLACEAT feature.

 -- Ricardo F. <rfraile@rfraile.eu>  Mon, 20 Jun 2011 10:00:00 -0400

tuptime (1.2.0) stable; urgency=low

  * Change speak option to verbose.
  * Fix lost information in files when update.
  * Minnor corrections in text strings.

 -- Ricardo F. <rfraile@rfraile.eu>  Mon, 13 Jun 2011 10:00:00 -0400

tuptime (1.1.0) stable; urgency=low

  * Any user can print the times, not only root.
  * Minnor changes to speak option.
  * Minnor corrections.

 -- Ricardo F. <rfraile@rfraile.eu>  Fri, 10 Jun 2011 10:00:00 -0400

tuptime (1.0.0) stable; urgency=low

  * First release.

 -- Ricardo F. <rfraile@rfraile.eu>  Wed, 23 Mar 2011 10:02:18 -0400

=== debian/control ===
Source: tuptime
Section: utils
Priority: optional
Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
Build-Depends: debhelper (>=9)
             , dh-systemd (>= 1.5)
Standards-Version: 3.9.8.0
Homepage: https://github.com/rfrail3/tuptime

Package: tuptime
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
  , python (>= 2.7)
  , adduser
Description: report historical system running time.
 Tuptime report historical and statistical running time of the system, 
 keeping it between restarts.

## tuptime 3.3.1

=== debian/changelog ===
tuptime (3.3.1) unstable; urgency=medium

  * Adding dependency of lsb-base in debian package
  * Change to native debian package
  * Fix typo in doc

 -- Ricardo Fraile <rfraile@rfraile.eu>  Mon, 16 Jan 2017 19:48:27 -0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
   , python (>= 2.7)
   , adduser
+  , lsb-base (>= 3.0-6)
 Description: report historical system running time.
  Tuptime report historical and statistical running time of the system, 
  keeping it between restarts.

## tuptime 3.3.3

=== debian/changelog ===
tuptime (3.3.3) unstable; urgency=low

  * Unify order arguments under -o
  * Improve behaviour when time drift
  * Requirement of time-sync in systemd unit
  * Warn about negative values produced by inconsistent time sync.
  * Validate right assignment of system variables
  * Update .deb package
  * Fix Debian Bug Files to install (Closes: #884955)
  * Python 3.x as requirement

 -- Ricardo Fraile <rfraile@rfraile.eu>  Wed, 03 Jan 2018 23:56:00 +0200

tuptime (3.3.2) unstable; urgency=low

  * Fix print kernel in list and table outputs in partial registers
  * Consistent decimals output when seconds are used in table and list
  * Accurate report in largest/shortest uptime/downtime with partial
    registers in narrow ranges
  * Avoid import subprocess module
  * Report in default output the state of last shutdown
  * Adding systemd .timer as alternative to cron schedule

 -- Ricardo Fraile <rfraile@rfraile.eu>  Sat, 21 Jan 2017 19:43:00 +0100

=== debian/control ===
Source: tuptime
Section: utils
Priority: optional
Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.3
Homepage: https://github.com/rfrail3/tuptime

Package: tuptime
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
  , python3:any
  , adduser
  , lsb-base (>= 3.0-6)
Description: report historical system running time.
 Tuptime report historical and statistical running time of the system,
 keeping it between restarts.

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,8 @@
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+override_dh_installinit:
+	dh_installinit --onlyscripts
+
 %:
-	dh $@ --with=systemd
+	dh $@

## tuptime 3.4.0

=== debian/changelog ===
tuptime (3.4.0) unstable; urgency=low

  * Adding DragonflyBSD, OpenBSD and NetBSD support
  * Improve error report when checking db path and file
  * Arguments refactoring. Change deprecated module optparse to argpaser
  * Adding --decp option. Allow change decimal length in percentages
  * Fixed equal number of values per line in csv output
  * Fix right termination when SIGPIPE signal is received
  * Upgrade timer unit with tuptime-cron.timer and tuptime-cron.service
  * Adding OpenRC init script
  * Tuptime user without /bin/sh shell
  * Support environmental variable with DB file path

 -- Ricardo Fraile <rfraile@rfraile.eu>  Sun, 23 Sep 2018 13:40:00 +0200

=== debian/control ===
Source: tuptime
Section: utils
Priority: optional
Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.5
Homepage: https://github.com/rfrail3/tuptime

Package: tuptime
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
  , python3:any
  , adduser
  , lsb-base (>= 3.0-6)
Description: report historical system running time
 Tuptime track and report historical and statistical running time of the
 system, keeping the uptime and downtime between shutdowns.

## tuptime 3.4.1

=== debian/changelog ===
tuptime (3.4.1) unstable; urgency=low

  * Adding Launchd .plist
  * Code quality checker fixes
  * Update .deb package
  * Adding Uptimed migration script
  * Fix Debian Bug about real time definition (Closes: #912996)

 -- Ricardo Fraile <rfraile@rfraile.eu>  Fri, 23 Nov 2018 21:16:00 +0100

=== debian/control ===
Source: tuptime
Section: utils
Priority: optional
Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
Build-Depends: debhelper (>= 11.4~)
Standards-Version: 4.2.1
Homepage: https://github.com/rfrail3/tuptime

Package: tuptime
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
  , python3:any
  , adduser
  , lsb-base (>= 3.0-6)
Description: report historical system real time
 Tuptime track and report historical and statistical real time of the
 system, keeping the uptime and downtime between shutdowns.
 Includes an Uptimed migration script.

## tuptime 3.4.2

=== debian/changelog ===
tuptime (3.4.2) unstable; urgency=low

  * Fix Debian Bug Fails to upgrade (Closes: #914954)
  * Change deb architecture from any to all

 -- Ricardo Fraile <rfraile@rfraile.eu>  Fri, 07 Dec 2018 15:48:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
-Build-Depends: debhelper (>= 11.4~)
+Build-Depends: debhelper (>= 11~)
 Standards-Version: 4.2.1
 Homepage: https://github.com/rfrail3/tuptime
 
 Package: tuptime
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}

## tuptime 3.5.0

=== debian/changelog ===
tuptime (3.5.0) unstable; urgency=low

  * Avoid execution if the startup date is prior to 01/Jan/2000 00:00
  * Avoid correct drift when it decreases uptime under 0
  * Fix register shutdown with negative downtime
  * Minnor code refactoring

 -- Ricardo Fraile <rfraile@rfraile.eu>  Wed, 20 Feb 2019 17:02:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
 Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/rfrail3/tuptime
 
 Package: tuptime

## tuptime 3.5.0+nmu1

=== debian/changelog ===
tuptime (3.5.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:54:07 +0800

## tuptime 4.0.0

=== debian/changelog ===
tuptime (4.0.0) unstable; urgency=low

  * Adding support for running and suspended time. (-p, --power)
  * Adding --tat to report system state at specific timestamp.
  * Change database specs. Add rntime and spdtime columns.
  * Update .deb package

 -- Ricardo Fraile <rfraile@rfraile.eu>  Sun, 28 Jul 2019 20:12:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Homepage: https://github.com/rfrail3/tuptime
 
 Package: tuptime

## tuptime 4.1.0

=== debian/changelog ===
tuptime (4.1.0) unstable; urgency=low

  * Register shutdowns lower than a second
  * Adding option -A --at
  * Refactoring --tat output
  * Rename suspend time to sleep time

 -- Ricardo Fraile <rfraile@rfraile.eu>  Wed, 01 Jan 2020 17:03:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://github.com/rfrail3/tuptime
 
 Package: tuptime

## tuptime 5.0.0

=== debian/changelog ===
tuptime (5.0.0) unstable; urgency=low

  * Abbreviate format in time counters
  * Identify new startups with boot_id
  * Adding -b, --bootid option to show boot IDs
  * Adding -i, --invert option to show startup number in reverse count
  * Change database specs. Add bootid column
  * After a graceful shutdown register, delay 5 seconds next DB update
  * Change execution user from 'tuptime' to '_tuptime'
  * Large refactoring
  * Update .deb package

 -- Ricardo Fraile <rfraile@rfraile.eu>  Tue, 26 May 2020 19:58:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/rfrail3/tuptime
 
 Package: tuptime
@@ -18,4 +18,3 @@
 Description: report historical system real time
  Tuptime track and report historical and statistical real time of the
  system, keeping the uptime and downtime between shutdowns.
- Includes an Uptimed migration script.

## tuptime 5.0.1

=== debian/changelog ===
tuptime (5.0.1) unstable; urgency=low

  * Identify new startups with boot_id on FreeBSD
  * Option --decp renamed to --dec and -e equal to it.
  * Minnor code refactoring

 -- Ricardo Fraile <rfraile@rfraile.eu>  Sat, 31 Oct 2020 15:06:00 +0100

## tuptime 5.0.2

=== debian/changelog ===
tuptime (5.0.2) unstable; urgency=low

  * Option --decp usable but deprecated
  * Using subprocess module on BSDs

 -- Ricardo Fraile <rfraile@rfraile.eu>  Sat, 02 Jan 2021 09:01:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/rfrail3/tuptime
 
 Package: tuptime

## tuptime 5.0.2ubuntu1

=== debian/changelog ===
tuptime (5.0.2ubuntu1) hirsute; urgency=medium

  * Update permissions on the default directory of the database so that the
    adduser-created directory is ensured to be world readable. (LP: #1918848)

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 12 Mar 2021 12:09:02 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tuptime
 Section: utils
 Priority: optional
-Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
 Standards-Version: 4.5.1

## tuptime 5.1.0

=== debian/changelog ===
tuptime (5.1.0) unstable; urgency=low

  * Cover DB writes with transactions
  * Register DB version on PRAGMA user_version
  * Adding --pctl option. Show percentil over average values
  * Code refactoring
  * Update .deb package

 -- Ricardo Fraile <rfraile@rfraile.eu>  Sun, 16 Jan 2022 13:09:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: tuptime
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
+Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/rfrail3/tuptime
 
 Package: tuptime

## tuptime 5.2.1

=== debian/changelog ===
tuptime (5.2.1) unstable; urgency=low

  * Set cron file with systemd execute exclusion on .deb package
  * Return -e option as an argument for --dec decimals
  * Update .deb package
  * Update .rpm package

 -- Ricardo Fraile <rfraile@rfraile.eu>  Fri, 19 Aug 2022 16:21:00 +0100

tuptime (5.2.0) unstable; urgency=low

  * Rename timer units to tuptime-sync.timer and tuptime-sync.service
  * Using StateDirectory= on systemd unit
  * Available tuptime.sysusers file for systemd-sysusers
  * Replace cron file with systemd timer on .deb package
  * Add rc script for OpenBSD and update installation doc
  * Deprecate --pctl option
  * Adding -E, --exclude option
  * Print longest uptime and downtime values on default output
  * Update distribution packages
  * Code refactoring

 -- Ricardo Fraile <rfraile@rfraile.eu>  Tue, 02 Aug 2022 21:55:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/rfrail3/tuptime
 
 Package: tuptime

## tuptime 5.2.1+nmu1

=== debian/changelog ===
tuptime (5.2.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:53:53 +0200

## tuptime 5.2.2

=== debian/changelog ===
tuptime (5.2.2) unstable; urgency=low

  * Swich between longest/shortest on default output with -i
  * Option -x, --silent renamed to -q, --quiet
  * Change repository name

 -- Ricardo Fraile <r@rfmoz.eu>  Thu, 05 Jan 2023 20:17:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: tuptime
 Section: utils
 Priority: optional
-Maintainer: Ricardo Fraile <rfraile@rfraile.eu>
+Maintainer: Ricardo Fraile <r@rfmoz.eu>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Homepage: https://github.com/rfrail3/tuptime
+Standards-Version: 4.6.2.0
+Homepage: https://github.com/rfmoz/tuptime
 
 Package: tuptime
 Architecture: all

## tuptime 5.2.3

=== debian/changelog ===
tuptime (5.2.3) unstable; urgency=low

  * Update distribution packages
  * Documentation revised
  * Minnor code refactoring

 -- Ricardo Fraile <r@rfmoz.eu>  Fri, 05 Jan 2024 10:32:00 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
   , python3:any
   , adduser
-  , lsb-base (>= 3.0-6)
 Description: report historical system real time
  Tuptime track and report historical and statistical real time of the
  system, keeping the uptime and downtime between shutdowns.

## tuptime 5.2.4

=== debian/changelog ===
tuptime (5.2.4) unstable; urgency=low

  * Move files from /lib to /usr/lib in DEB package
  * Replace adduser with sysusers.d in DEB package
  * Update documentation
  * Minnor code refactoring

 -- Ricardo Fraile <r@rfmoz.eu>  Sat, 13 Jul 2024 13:21:00 +0100

=== debian/control ===
Source: tuptime
Section: utils
Priority: optional
Maintainer: Ricardo Fraile <r@rfmoz.eu>
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/rfmoz/tuptime

Package: tuptime
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
  , python3:any
Description: report historical system real time
 Tuptime tracks and reports historical and statistical real time of
 the system, preserving the uptime and downtime between shutdowns.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 
 override_dh_installinit:
 	dh_installinit --onlyscripts
+	# this is needed until dh compat 14
+	dh_installsysusers
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: exec-simple
Depends: @
Restrictions: isolation-container

Tests: exec-debug
Depends: @
Restrictions: isolation-container, allow-stderr

## tuptime 5.2.5

=== debian/changelog ===
tuptime (5.2.5) unstable; urgency=low

  * Add zero padding on time counters
  * Print date before time in datetime output
  * Set fallback locale to C
  * init.d script checks data path at startup
  * Code refactoring

 -- Ricardo Fraile <r@rfmoz.eu>  Sun, 11 Jan 2026 10:22:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: tuptime
 Section: utils
-Priority: optional
 Maintainer: Ricardo Fraile <r@rfmoz.eu>
 Build-Depends: debhelper-compat (= 13)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3.0
 Homepage: https://github.com/rfmoz/tuptime
 
 Package: tuptime
